Subject: Re: r8169 mac reading/writing broken

From: Timo Teräs <[email-masked]>
Date: Sat, 27 Mar 2010 14:25:31 +0200

Timo Teräs wrote:
> François Romieu wrote:
>> Timo Teräs <[email-masked]> :
>> [...]
>>> I don't think this would do anything. The high part is recorded 
>>> correctly always.
>>> It's the 'low' part that gets discarded. I can do similar test if 
>>> writing it
>>> more times will help. Will post results soon.
>>
>> You may check whether writing MAC4 before MAC0 makes a difference
>> or not as well.
> 
> It seems that adding single printk between writing MAC0 and MAC4 fixes it.
> I guess it needs a bit of delay between the writes or something.

Oh, and writing MAC4 first seems to fix it too.

- Timo